Bug 63861 - bsd.sites.mk: Add MASTER_SITE_SAMBA
Summary: bsd.sites.mk: Add MASTER_SITE_SAMBA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-06 23:30 UTC by Kimura Fuyuki
Modified: 2004-03-11 10:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2004-03-06 23:30 UTC, Kimura Fuyuki
no flags Details | Diff
file.diff (3.35 KB, patch)
2004-03-06 23:30 UTC, Kimura Fuyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimura Fuyuki 2004-03-06 23:30:08 UTC
Add MASTER_SITE_SAMBA. It can be used by only four ports but they are
very popular and their distfiles are huge.

The mirror list is based on samba-devel/Makefile and I tweaked it a
bit using the information from http://www.samba.org/.
Comment 1 Kimura Fuyuki 2004-03-06 23:36:28 UTC
I found another port that could utilize MASTER_SITE_SAMBA.

cvs diff: Diffing .
Index: Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/security/pam_smb/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- Makefile	4 Feb 2004 05:08:50 -0000	1.19
+++ Makefile	6 Mar 2004 23:31:39 -0000
@@ -5,11 +5,12 @@
 # $FreeBSD: ports/security/pam_smb/Makefile,v 1.19 2004/02/04 05:08:50 marcus Exp $
 
 PORTNAME=	pam_smb
-PORTVERSION=	2.0.0.r5
-PORTREVISION=	3
+PORTVERSION=	2.0.0.r6
 CATEGORIES=	security
 MASTER_SITES=	http://pamsmb.sourceforge.net/v2/ \
-		http://www.csn.ul.ie/~airlied/pam_smb/v2/
+		http://www.csn.ul.ie/~airlied/pam_smb/v2/ \
+		${MASTER_SITE_SAMBA}
+MASTER_SITE_SUBDIR=	pam_smb/v2
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.r/-rc/}
 
 MAINTAINER=	ports@FreeBSD.org
Index: distinfo
===================================================================
RCS file: /cvs/FreeBSD/ports/security/pam_smb/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	29 Jan 2004 16:11:36 -0000	1.4
+++ distinfo	6 Mar 2004 23:31:48 -0000
@@ -1,2 +1,2 @@
-MD5 (pam_smb-2.0.0-rc5.tar.gz) = 48cd4986cdf2cc36f668fe177d932d9f
-SIZE (pam_smb-2.0.0-rc5.tar.gz) = 114456
+MD5 (pam_smb-2.0.0-rc6.tar.gz) = 69e5473d01169296412dca4238c49566
+SIZE (pam_smb-2.0.0-rc6.tar.gz) = 115069
cvs diff: Diffing files
Comment 2 Sergey A. Osokin freebsd_committer 2004-03-11 08:58:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

I'll handle this.
Comment 3 Sergey A. Osokin freebsd_committer 2004-03-11 10:23:01 UTC
State Changed
From-To: open->closed

Committed with little modifications! 
Thanks!